Skip to main content

Get contributor Billing Information

GET/v2/contributors/{contributorId}/billing-information
API version
v2
Request method
GET
Operation ID
contributor-get-billing-information

Request​

  • contributorIdstringrequired

Responses​

Format
application/json
Description

The billing related information of the Contributor

  • contributorIdstring (uuid)
  • invoiceFooterstring
  • onboardingStatusstring (one of: NOT_STARTED, STARTED, SUCCESSFUL)
  • stripeAccountIdstring
Content-Type: application/json

{
"contributorId": "f0f86186-0a5a-45b2-aa33-502777496347",
"invoiceFooter": "string",
"onboardingStatus": "NOT_STARTED",
"stripeAccountId": "string"
}
{
"properties": {
"contributorId": {
"format": "uuid",
"type": "string"
},
"invoiceFooter": {
"type": "string"
},
"onboardingStatus": {
"enum": [
"NOT_STARTED",
"STARTED",
"SUCCESSFUL"
],
"type": "string"
},
"stripeAccountId": {
"type": "string"
}
},
"type": "object"
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/contributors/string/billing-information
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.marketplace.contributorGetBillingInformation({
"contributorId": "string"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Marketplace\ContributorGetBillingInformation\ContributorGetBillingInformationRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new ContributorGetBillingInformationRequest(
contributorId: "string"
));
$response = $client->marketplace()->contributorGetBillingInformation($request);

var_dump($response->getBody();

On this page